Navigate Up
Sign In
Last Updated: 6/25/2015

Minnesota e-Services System Requirements

Contact Us

e-Services

Find the tax type contact information in the "Contacts" tab

more

Top FAQs

Related Information

About This Page

Browser requirements 

To use our e-Services applications, you need a browser that supports 128 bit encryption technology and other General Browser Requirements.

We recommend that you use one of the following browsers:  

  • Internet Explorer 8.0 to 11.0.

  • Mozilla Firefox 3.0 or higher

  • Google Chrome

  • Safari 5.X

If you need to check your browser, see the instructions on our Checking Your Browser page.

Questions or comments about the site or our Minnesota e-Services requirements? You can contact us by sending an email to: MDOR_eServices.

Having issues with printing? You should check your Pop-up Blocker Settings.